Package org.bukkit.loot

# Enum Class LootTables

java.lang.Object
java.lang.Enum<LootTables>
org.bukkit.loot.LootTables

All Implemented Interfaces:
  `Serializable`, `Comparable<LootTables>`, `Constable`, `net.kyori.adventure.key.Keyed`, `Keyed`

public enum LootTables extends Enum<LootTables> implements Keyed
This enum holds a list of all known `LootTable`s offered by Mojang. This list is not guaranteed to be accurate in future versions. See the Minecraft Wiki for more information on loot tables.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABANDONED_MINESHAFT`
`ANCIENT_CITY`
`ANCIENT_CITY_ICE_BOX`
`ARMOR_STAND`
`ARMORER_GIFT`
`AXOLOTL`
`BASTION_BRIDGE`
`BASTION_HOGLIN_STABLE`
`BASTION_OTHER`
`BASTION_TREASURE`
`BAT`
`BEE`
`BLAZE`
`BURIED_TREASURE`
`BUTCHER_GIFT`
`CARTOGRAPHER_GIFT`
`CAT`
`CAT_MORNING_GIFT`
`CAVE_SPIDER`
`CHICKEN`
`CLERIC_GIFT`
`COD`
`COW`
`CREEPER`
`DESERT_PYRAMID`
`DOLPHIN`
`DONKEY`
`DROWNED`
`ELDER_GUARDIAN`
`EMPTY`
`END_CITY_TREASURE`
`ENDER_DRAGON`
`ENDERMAN`
`ENDERMITE`
`EVOKER`
`FARMER_GIFT`
`FISHERMAN_GIFT`
`FISHING`
`FISHING_FISH`
`FISHING_JUNK`
`FISHING_TREASURE`
`FLETCHER_GIFT`
`FOX`
`GHAST`
`GIANT`
`GLOW_SQUID`
`GOAT`
`GUARDIAN`
`HOGLIN`
`HORSE`
`HUSK`
`IGLOO_CHEST`
`ILLUSIONER`
`IRON_GOLEM`
`JUNGLE_TEMPLE`
`JUNGLE_TEMPLE_DISPENSER`
`LEATHERWORKER_GIFT`
`LIBRARIAN_GIFT`
`LLAMA`
`MAGMA_CUBE`
`MASON_GIFT`
`MOOSHROOM`
`MULE`
`NETHER_BRIDGE`
`OCELOT`
`PANDA`
`PARROT`
`PHANTOM`
`PIG`
`PIGLIN`
`PIGLIN_BARTERING`
`PIGLIN_BRUTE`
`PILLAGER`
`PILLAGER_OUTPOST`
`PLAYER`
`POLAR_BEAR`
`PUFFERFISH`
`RABBIT`
`RAVAGER`
`RUINED_PORTAL`
`SALMON`
`SHEEP`
`SHEEP_BLACK`
`SHEEP_BLUE`
`SHEEP_BROWN`
`SHEEP_CYAN`
`SHEEP_GRAY`
`SHEEP_GREEN`
`SHEEP_LIGHT_BLUE`
`SHEEP_LIGHT_GRAY`
`SHEEP_LIME`
`SHEEP_MAGENTA`
`SHEEP_ORANGE`
`SHEEP_PINK`
`SHEEP_PURPLE`
`SHEEP_RED`
`SHEEP_WHITE`
`SHEEP_YELLOW`
`SHEPHERD_GIFT`
`SHIPWRECK_MAP`
`SHIPWRECK_SUPPLY`
`SHIPWRECK_TREASURE`
`SHULKER`
`SILVERFISH`
`SIMPLE_DUNGEON`
`SKELETON`
`SKELETON_HORSE`
`SLIME`
`SNOW_GOLEM`
`SPAWN_BONUS_CHEST`
`SPIDER`
`SQUID`
`STRAY`
`STRIDER`
`STRONGHOLD_CORRIDOR`
`STRONGHOLD_CROSSING`
`STRONGHOLD_LIBRARY`
`TOOLSMITH_GIFT`
`TRADER_LLAMA`
`TROPICAL_FISH`
`TURTLE`
`UNDERWATER_RUIN_BIG`
`UNDERWATER_RUIN_SMALL`
`VEX`
`VILLAGE_ARMORER`
`VILLAGE_BUTCHER`
`VILLAGE_CARTOGRAPHER`
`VILLAGE_DESERT_HOUSE`
`VILLAGE_FISHER`
`VILLAGE_FLETCHER`
`VILLAGE_MASON`
`VILLAGE_PLAINS_HOUSE`
`VILLAGE_SAVANNA_HOUSE`
`VILLAGE_SHEPHERD`
`VILLAGE_SNOWY_HOUSE`
`VILLAGE_TAIGA_HOUSE`
`VILLAGE_TANNERY`
`VILLAGE_TEMPLE`
`VILLAGE_TOOLSMITH`
`VILLAGE_WEAPONSMITH`
`VILLAGER`
`VINDICATOR`
`WANDERING_TRADER`
`WEAPONSMITH_GIFT`
`WITCH`
`WITHER`
`WITHER_SKELETON`
`WOLF`
`WOODLAND_MANSION`
`ZOGLIN`
`ZOMBIE`
`ZOMBIE_HORSE`
`ZOMBIE_VILLAGER`
`ZOMBIFIED_PIGLIN`

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`@NotNull LootTable`
`getLootTable()`
Get the `LootTable` corresponding to this constant.
`static LootTables`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LootTables[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Enum Constant Details

### EMPTY

public static final LootTables EMPTY

### ABANDONED_MINESHAFT

public static final LootTables ABANDONED_MINESHAFT

### BURIED_TREASURE

public static final LootTables BURIED_TREASURE

### DESERT_PYRAMID

public static final LootTables DESERT_PYRAMID

### END_CITY_TREASURE

public static final LootTables END_CITY_TREASURE

### IGLOO_CHEST

public static final LootTables IGLOO_CHEST

### JUNGLE_TEMPLE

public static final LootTables JUNGLE_TEMPLE

### JUNGLE_TEMPLE_DISPENSER

public static final LootTables JUNGLE_TEMPLE_DISPENSER

### NETHER_BRIDGE

public static final LootTables NETHER_BRIDGE

### PILLAGER_OUTPOST

public static final LootTables PILLAGER_OUTPOST

### BASTION_TREASURE

public static final LootTables BASTION_TREASURE

### BASTION_OTHER

public static final LootTables BASTION_OTHER

### BASTION_BRIDGE

public static final LootTables BASTION_BRIDGE

### BASTION_HOGLIN_STABLE

public static final LootTables BASTION_HOGLIN_STABLE

### ANCIENT_CITY

public static final LootTables ANCIENT_CITY

### ANCIENT_CITY_ICE_BOX

public static final LootTables ANCIENT_CITY_ICE_BOX

### RUINED_PORTAL

public static final LootTables RUINED_PORTAL

### SHIPWRECK_MAP

public static final LootTables SHIPWRECK_MAP

### SHIPWRECK_SUPPLY

public static final LootTables SHIPWRECK_SUPPLY

### SHIPWRECK_TREASURE

public static final LootTables SHIPWRECK_TREASURE

### SIMPLE_DUNGEON

public static final LootTables SIMPLE_DUNGEON

### SPAWN_BONUS_CHEST

public static final LootTables SPAWN_BONUS_CHEST

### STRONGHOLD_CORRIDOR

public static final LootTables STRONGHOLD_CORRIDOR

### STRONGHOLD_CROSSING

public static final LootTables STRONGHOLD_CROSSING

### STRONGHOLD_LIBRARY

public static final LootTables STRONGHOLD_LIBRARY

### UNDERWATER_RUIN_BIG

public static final LootTables UNDERWATER_RUIN_BIG

### UNDERWATER_RUIN_SMALL

public static final LootTables UNDERWATER_RUIN_SMALL

### VILLAGE_ARMORER

public static final LootTables VILLAGE_ARMORER

### VILLAGE_BUTCHER

public static final LootTables VILLAGE_BUTCHER

### VILLAGE_CARTOGRAPHER

public static final LootTables VILLAGE_CARTOGRAPHER

### VILLAGE_DESERT_HOUSE

public static final LootTables VILLAGE_DESERT_HOUSE

### VILLAGE_FISHER

public static final LootTables VILLAGE_FISHER

### VILLAGE_FLETCHER

public static final LootTables VILLAGE_FLETCHER

### VILLAGE_MASON

public static final LootTables VILLAGE_MASON

### VILLAGE_PLAINS_HOUSE

public static final LootTables VILLAGE_PLAINS_HOUSE

### VILLAGE_SAVANNA_HOUSE

public static final LootTables VILLAGE_SAVANNA_HOUSE

### VILLAGE_SHEPHERD

public static final LootTables VILLAGE_SHEPHERD

### VILLAGE_SNOWY_HOUSE

public static final LootTables VILLAGE_SNOWY_HOUSE

### VILLAGE_TAIGA_HOUSE

public static final LootTables VILLAGE_TAIGA_HOUSE

### VILLAGE_TANNERY

public static final LootTables VILLAGE_TANNERY

### VILLAGE_TEMPLE

public static final LootTables VILLAGE_TEMPLE

### VILLAGE_TOOLSMITH

public static final LootTables VILLAGE_TOOLSMITH

### VILLAGE_WEAPONSMITH

public static final LootTables VILLAGE_WEAPONSMITH

### WOODLAND_MANSION

public static final LootTables WOODLAND_MANSION

### ARMOR_STAND

public static final LootTables ARMOR_STAND

### AXOLOTL

public static final LootTables AXOLOTL

### BAT

public static final LootTables BAT

### BEE

public static final LootTables BEE

### BLAZE

public static final LootTables BLAZE

### CAT

public static final LootTables CAT

### CAVE_SPIDER

public static final LootTables CAVE_SPIDER

### CHICKEN

public static final LootTables CHICKEN

### COD

public static final LootTables COD

### COW

public static final LootTables COW

### CREEPER

public static final LootTables CREEPER

### DOLPHIN

public static final LootTables DOLPHIN

### DONKEY

public static final LootTables DONKEY

### DROWNED

public static final LootTables DROWNED

### ELDER_GUARDIAN

public static final LootTables ELDER_GUARDIAN

### ENDER_DRAGON

public static final LootTables ENDER_DRAGON

### ENDERMAN

public static final LootTables ENDERMAN

### ENDERMITE

public static final LootTables ENDERMITE

### EVOKER

public static final LootTables EVOKER

### FOX

public static final LootTables FOX

### GHAST

public static final LootTables GHAST

### GIANT

public static final LootTables GIANT

### GLOW_SQUID

public static final LootTables GLOW_SQUID

### GOAT

public static final LootTables GOAT

### GUARDIAN

public static final LootTables GUARDIAN

### HOGLIN

public static final LootTables HOGLIN

### HORSE

public static final LootTables HORSE

### HUSK

public static final LootTables HUSK

### ILLUSIONER

public static final LootTables ILLUSIONER

### IRON_GOLEM

public static final LootTables IRON_GOLEM

### LLAMA

public static final LootTables LLAMA

### MAGMA_CUBE

public static final LootTables MAGMA_CUBE

### MOOSHROOM

public static final LootTables MOOSHROOM

### MULE

public static final LootTables MULE

### OCELOT

public static final LootTables OCELOT

### PANDA

public static final LootTables PANDA

### PARROT

public static final LootTables PARROT

### PHANTOM

public static final LootTables PHANTOM

### PIG

public static final LootTables PIG

### PIGLIN

public static final LootTables PIGLIN

### PIGLIN_BRUTE

public static final LootTables PIGLIN_BRUTE

### PILLAGER

public static final LootTables PILLAGER

### PLAYER

public static final LootTables PLAYER

### POLAR_BEAR

public static final LootTables POLAR_BEAR

### PUFFERFISH

public static final LootTables PUFFERFISH

### RABBIT

public static final LootTables RABBIT

### RAVAGER

public static final LootTables RAVAGER

### SALMON

public static final LootTables SALMON

### SHULKER

public static final LootTables SHULKER

### SILVERFISH

public static final LootTables SILVERFISH

### SKELETON

public static final LootTables SKELETON

### SKELETON_HORSE

public static final LootTables SKELETON_HORSE

### SLIME

public static final LootTables SLIME

### SNOW_GOLEM

public static final LootTables SNOW_GOLEM

### SPIDER

public static final LootTables SPIDER

### SQUID

public static final LootTables SQUID

### STRAY

public static final LootTables STRAY

### STRIDER

public static final LootTables STRIDER

### TRADER_LLAMA

public static final LootTables TRADER_LLAMA

### TROPICAL_FISH

public static final LootTables TROPICAL_FISH

### TURTLE

public static final LootTables TURTLE

### VEX

public static final LootTables VEX

### VILLAGER

public static final LootTables VILLAGER

### VINDICATOR

public static final LootTables VINDICATOR

### WANDERING_TRADER

public static final LootTables WANDERING_TRADER

### WITCH

public static final LootTables WITCH

### WITHER

public static final LootTables WITHER

### WITHER_SKELETON

public static final LootTables WITHER_SKELETON

### WOLF

public static final LootTables WOLF

### ZOGLIN

public static final LootTables ZOGLIN

### ZOMBIE

public static final LootTables ZOMBIE

### ZOMBIE_HORSE

public static final LootTables ZOMBIE_HORSE

### ZOMBIE_VILLAGER

public static final LootTables ZOMBIE_VILLAGER

### ZOMBIFIED_PIGLIN

public static final LootTables ZOMBIFIED_PIGLIN

### ARMORER_GIFT

public static final LootTables ARMORER_GIFT

### BUTCHER_GIFT

public static final LootTables BUTCHER_GIFT

### CARTOGRAPHER_GIFT

public static final LootTables CARTOGRAPHER_GIFT

### CAT_MORNING_GIFT

public static final LootTables CAT_MORNING_GIFT

### CLERIC_GIFT

public static final LootTables CLERIC_GIFT

### FARMER_GIFT

public static final LootTables FARMER_GIFT

### FISHERMAN_GIFT

public static final LootTables FISHERMAN_GIFT

### FISHING

public static final LootTables FISHING

### FISHING_FISH

public static final LootTables FISHING_FISH

### FISHING_JUNK

public static final LootTables FISHING_JUNK

### FISHING_TREASURE

public static final LootTables FISHING_TREASURE

### FLETCHER_GIFT

public static final LootTables FLETCHER_GIFT

### LEATHERWORKER_GIFT

public static final LootTables LEATHERWORKER_GIFT

### LIBRARIAN_GIFT

public static final LootTables LIBRARIAN_GIFT

### MASON_GIFT

public static final LootTables MASON_GIFT

### SHEPHERD_GIFT

public static final LootTables SHEPHERD_GIFT

### TOOLSMITH_GIFT

public static final LootTables TOOLSMITH_GIFT

### WEAPONSMITH_GIFT

public static final LootTables WEAPONSMITH_GIFT

### PIGLIN_BARTERING

public static final LootTables PIGLIN_BARTERING

### SHEEP

public static final LootTables SHEEP

### SHEEP_BLACK

public static final LootTables SHEEP_BLACK

### SHEEP_BLUE

public static final LootTables SHEEP_BLUE

### SHEEP_BROWN

public static final LootTables SHEEP_BROWN

### SHEEP_CYAN

public static final LootTables SHEEP_CYAN

### SHEEP_GRAY

public static final LootTables SHEEP_GRAY

### SHEEP_GREEN

public static final LootTables SHEEP_GREEN

### SHEEP_LIGHT_BLUE

public static final LootTables SHEEP_LIGHT_BLUE

### SHEEP_LIGHT_GRAY

public static final LootTables SHEEP_LIGHT_GRAY

### SHEEP_LIME

public static final LootTables SHEEP_LIME

### SHEEP_MAGENTA

public static final LootTables SHEEP_MAGENTA

### SHEEP_ORANGE

public static final LootTables SHEEP_ORANGE

### SHEEP_PINK

public static final LootTables SHEEP_PINK

### SHEEP_PURPLE

public static final LootTables SHEEP_PURPLE

### SHEEP_RED

public static final LootTables SHEEP_RED

### SHEEP_WHITE

public static final LootTables SHEEP_WHITE

### SHEEP_YELLOW

public static final LootTables SHEEP_YELLOW

## Method Details

### values

public static LootTables[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LootTables valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### getLootTable

@NotNull public @NotNull LootTable getLootTable()
Get the `LootTable` corresponding to this constant. This is equivalent to calling `Bukkit.getLootTable(this.getKey());`.

Returns:
  the associated LootTable